# SPDX-FileCopyrightText: 2024-present Trenton H <rda0128ou@mozmail.com>
#
# SPDX-License-Identifier: MPL-2.0
# Generated from: 4f5658fa63afce8cd121d41444b28c2294e6b513
from typing import Final

from simpleiso3166.subdivisions import Subdivision

COUNTRY_NAME: Final[str] = "French Republic"

SUBDIVISIONS: Final[list[Subdivision]] = [
    Subdivision("FR-01", "Ain"),
    Subdivision("FR-02", "Aisne"),
    Subdivision("FR-03", "Allier"),
    Subdivision("FR-04", "Alpes-de-Haute-Provence"),
    Subdivision("FR-05", "Hautes-Alpes"),
    Subdivision("FR-06", "Alpes-Maritimes"),
    Subdivision("FR-07", "Ardèche"),
    Subdivision("FR-08", "Ardennes"),
    Subdivision("FR-09", "Ariège"),
    Subdivision("FR-10", "Aube"),
    Subdivision("FR-11", "Aude"),
    Subdivision("FR-12", "Aveyron"),
    Subdivision("FR-13", "Bouches-du-Rhône"),
    Subdivision("FR-14", "Calvados"),
    Subdivision("FR-15", "Cantal"),
    Subdivision("FR-16", "Charente"),
    Subdivision("FR-17", "Charente-Maritime"),
    Subdivision("FR-18", "Cher"),
    Subdivision("FR-19", "Corrèze"),
    Subdivision("FR-20R", "Corse"),
    Subdivision("FR-21", "Côte-d'Or"),
    Subdivision("FR-22", "Côtes-d'Armor"),
    Subdivision("FR-23", "Creuse"),
    Subdivision("FR-24", "Dordogne"),
    Subdivision("FR-25", "Doubs"),
    Subdivision("FR-26", "Drôme"),
    Subdivision("FR-27", "Eure"),
    Subdivision("FR-28", "Eure-et-Loir"),
    Subdivision("FR-29", "Finistère"),
    Subdivision("FR-2A", "Corse-du-Sud"),
    Subdivision("FR-2B", "Haute-Corse"),
    Subdivision("FR-30", "Gard"),
    Subdivision("FR-31", "Haute-Garonne"),
    Subdivision("FR-32", "Gers"),
    Subdivision("FR-33", "Gironde"),
    Subdivision("FR-34", "Hérault"),
    Subdivision("FR-35", "Ille-et-Vilaine"),
    Subdivision("FR-36", "Indre"),
    Subdivision("FR-37", "Indre-et-Loire"),
    Subdivision("FR-38", "Isère"),
    Subdivision("FR-39", "Jura"),
    Subdivision("FR-40", "Landes"),
    Subdivision("FR-41", "Loir-et-Cher"),
    Subdivision("FR-42", "Loire"),
    Subdivision("FR-43", "Haute-Loire"),
    Subdivision("FR-44", "Loire-Atlantique"),
    Subdivision("FR-45", "Loiret"),
    Subdivision("FR-46", "Lot"),
    Subdivision("FR-47", "Lot-et-Garonne"),
    Subdivision("FR-48", "Lozère"),
    Subdivision("FR-49", "Maine-et-Loire"),
    Subdivision("FR-50", "Manche"),
    Subdivision("FR-51", "Marne"),
    Subdivision("FR-52", "Haute-Marne"),
    Subdivision("FR-53", "Mayenne"),
    Subdivision("FR-54", "Meurthe-et-Moselle"),
    Subdivision("FR-55", "Meuse"),
    Subdivision("FR-56", "Morbihan"),
    Subdivision("FR-57", "Moselle"),
    Subdivision("FR-58", "Nièvre"),
    Subdivision("FR-59", "Nord"),
    Subdivision("FR-60", "Oise"),
    Subdivision("FR-61", "Orne"),
    Subdivision("FR-62", "Pas-de-Calais"),
    Subdivision("FR-63", "Puy-de-Dôme"),
    Subdivision("FR-64", "Pyrénées-Atlantiques"),
    Subdivision("FR-65", "Hautes-Pyrénées"),
    Subdivision("FR-66", "Pyrénées-Orientales"),
    Subdivision("FR-67", "Bas-Rhin"),
    Subdivision("FR-68", "Haut-Rhin"),
    Subdivision("FR-69", "Rhône"),
    Subdivision("FR-69M", "Métropole de Lyon"),
    Subdivision("FR-6AE", "Alsace"),
    Subdivision("FR-70", "Haute-Saône"),
    Subdivision("FR-71", "Saône-et-Loire"),
    Subdivision("FR-72", "Sarthe"),
    Subdivision("FR-73", "Savoie"),
    Subdivision("FR-74", "Haute-Savoie"),
    Subdivision("FR-75C", "Paris"),
    Subdivision("FR-76", "Seine-Maritime"),
    Subdivision("FR-77", "Seine-et-Marne"),
    Subdivision("FR-78", "Yvelines"),
    Subdivision("FR-79", "Deux-Sèvres"),
    Subdivision("FR-80", "Somme"),
    Subdivision("FR-81", "Tarn"),
    Subdivision("FR-82", "Tarn-et-Garonne"),
    Subdivision("FR-83", "Var"),
    Subdivision("FR-84", "Vaucluse"),
    Subdivision("FR-85", "Vendée"),
    Subdivision("FR-86", "Vienne"),
    Subdivision("FR-87", "Haute-Vienne"),
    Subdivision("FR-88", "Vosges"),
    Subdivision("FR-89", "Yonne"),
    Subdivision("FR-90", "Territoire de Belfort"),
    Subdivision("FR-91", "Essonne"),
    Subdivision("FR-92", "Hauts-de-Seine"),
    Subdivision("FR-93", "Seine-Saint-Denis"),
    Subdivision("FR-94", "Val-de-Marne"),
    Subdivision("FR-95", "Val-d'Oise"),
    Subdivision("FR-971", "Guadeloupe"),
    Subdivision("FR-972", "Martinique"),
    Subdivision("FR-973", "Guyane (française)"),
    Subdivision("FR-974", "La Réunion"),
    Subdivision("FR-976", "Mayotte"),
    Subdivision("FR-ARA", "Auvergne-Rhône-Alpes"),
    Subdivision("FR-BFC", "Bourgogne-Franche-Comté"),
    Subdivision("FR-BL", "Saint-Barthélemy"),
    Subdivision("FR-BRE", "Bretagne"),
    Subdivision("FR-CP", "Clipperton"),
    Subdivision("FR-CVL", "Centre-Val de Loire"),
    Subdivision("FR-GES", "Grand-Est"),
    Subdivision("FR-HDF", "Hauts-de-France"),
    Subdivision("FR-IDF", "Île-de-France"),
    Subdivision("FR-MF", "Saint-Martin"),
    Subdivision("FR-NAQ", "Nouvelle-Aquitaine"),
    Subdivision("FR-NC", "Nouvelle-Calédonie"),
    Subdivision("FR-NOR", "Normandie"),
    Subdivision("FR-OCC", "Occitanie"),
    Subdivision("FR-PAC", "Provence-Alpes-Côte-d’Azur"),
    Subdivision("FR-PDL", "Pays-de-la-Loire"),
    Subdivision("FR-PF", "Polynésie française"),
    Subdivision("FR-PM", "Saint-Pierre-et-Miquelon"),
    Subdivision("FR-TF", "Terres australes françaises"),
    Subdivision("FR-WF", "Wallis-et-Futuna"),
]
