# SPDX-FileCopyrightText: 2024-present Trenton H <rda0128ou@mozmail.com>
#
# SPDX-License-Identifier: MPL-2.0
# Generated from: 4f5658fa63afce8cd121d41444b28c2294e6b513
from typing import Final

from simpleiso3166.subdivisions import Subdivision

COUNTRY_NAME: Final[str] = "United Kingdom of Great Britain and Northern Ireland"

SUBDIVISIONS: Final[list[Subdivision]] = [
    Subdivision("GB-ABC", "Armagh City, Banbridge and Craigavon"),
    Subdivision("GB-ABD", "Aberdeenshire"),
    Subdivision("GB-ABE", "Aberdeen City"),
    Subdivision("GB-AGB", "Argyll and Bute"),
    Subdivision("GB-AGY", "Isle of Anglesey [Sir Ynys Môn GB-YNM]"),
    Subdivision("GB-AND", "Ards and North Down"),
    Subdivision("GB-ANN", "Antrim and Newtownabbey"),
    Subdivision("GB-ANS", "Angus"),
    Subdivision("GB-BAS", "Bath and North East Somerset"),
    Subdivision("GB-BBD", "Blackburn with Darwen"),
    Subdivision("GB-BCP", "Bournemouth, Christchurch and Poole"),
    Subdivision("GB-BDF", "Bedford"),
    Subdivision("GB-BDG", "Barking and Dagenham"),
    Subdivision("GB-BEN", "Brent"),
    Subdivision("GB-BEX", "Bexley"),
    Subdivision("GB-BFS", "Belfast City"),
    Subdivision("GB-BGE", "Bridgend [Pen-y-bont ar Ogwr GB-POG]"),
    Subdivision("GB-BGW", "Blaenau Gwent"),
    Subdivision("GB-BIR", "Birmingham"),
    Subdivision("GB-BKM", "Buckinghamshire"),
    Subdivision("GB-BNE", "Barnet"),
    Subdivision("GB-BNH", "Brighton and Hove"),
    Subdivision("GB-BNS", "Barnsley"),
    Subdivision("GB-BOL", "Bolton"),
    Subdivision("GB-BPL", "Blackpool"),
    Subdivision("GB-BRC", "Bracknell Forest"),
    Subdivision("GB-BRD", "Bradford"),
    Subdivision("GB-BRY", "Bromley"),
    Subdivision("GB-BST", "Bristol, City of"),
    Subdivision("GB-BUR", "Bury"),
    Subdivision("GB-CAM", "Cambridgeshire"),
    Subdivision("GB-CAY", "Caerphilly [Caerffili GB-CAF]"),
    Subdivision("GB-CBF", "Central Bedfordshire"),
    Subdivision("GB-CCG", "Causeway Coast and Glens"),
    Subdivision("GB-CGN", "Ceredigion [Sir Ceredigion]"),
    Subdivision("GB-CHE", "Cheshire East"),
    Subdivision("GB-CHW", "Cheshire West and Chester"),
    Subdivision("GB-CLD", "Calderdale"),
    Subdivision("GB-CLK", "Clackmannanshire"),
    Subdivision("GB-CMA", "Cumbria"),
    Subdivision("GB-CMD", "Camden"),
    Subdivision("GB-CMN", "Carmarthenshire [Sir Gaerfyrddin GB-GFY]"),
    Subdivision("GB-CON", "Cornwall"),
    Subdivision("GB-COV", "Coventry"),
    Subdivision("GB-CRF", "Cardiff [Caerdydd GB-CRD]"),
    Subdivision("GB-CRY", "Croydon"),
    Subdivision("GB-CWY", "Conwy"),
    Subdivision("GB-DAL", "Darlington"),
    Subdivision("GB-DBY", "Derbyshire"),
    Subdivision("GB-DEN", "Denbighshire [Sir Ddinbych GB-DDB]"),
    Subdivision("GB-DER", "Derby"),
    Subdivision("GB-DEV", "Devon"),
    Subdivision("GB-DGY", "Dumfries and Galloway"),
    Subdivision("GB-DNC", "Doncaster"),
    Subdivision("GB-DND", "Dundee City"),
    Subdivision("GB-DOR", "Dorset"),
    Subdivision("GB-DRS", "Derry and Strabane"),
    Subdivision("GB-DUD", "Dudley"),
    Subdivision("GB-DUR", "Durham, County"),
    Subdivision("GB-EAL", "Ealing"),
    Subdivision("GB-EAY", "East Ayrshire"),
    Subdivision("GB-EDH", "Edinburgh, City of"),
    Subdivision("GB-EDU", "East Dunbartonshire"),
    Subdivision("GB-ELN", "East Lothian"),
    Subdivision("GB-ELS", "Eilean Siar"),
    Subdivision("GB-ENF", "Enfield"),
    Subdivision("GB-ENG", "England"),
    Subdivision("GB-ERW", "East Renfrewshire"),
    Subdivision("GB-ERY", "East Riding of Yorkshire"),
    Subdivision("GB-ESS", "Essex"),
    Subdivision("GB-ESX", "East Sussex"),
    Subdivision("GB-FAL", "Falkirk"),
    Subdivision("GB-FIF", "Fife"),
    Subdivision("GB-FLN", "Flintshire [Sir y Fflint GB-FFL]"),
    Subdivision("GB-FMO", "Fermanagh and Omagh"),
    Subdivision("GB-GAT", "Gateshead"),
    Subdivision("GB-GLG", "Glasgow City"),
    Subdivision("GB-GLS", "Gloucestershire"),
    Subdivision("GB-GRE", "Greenwich"),
    Subdivision("GB-GWN", "Gwynedd"),
    Subdivision("GB-HAL", "Halton"),
    Subdivision("GB-HAM", "Hampshire"),
    Subdivision("GB-HAV", "Havering"),
    Subdivision("GB-HCK", "Hackney"),
    Subdivision("GB-HEF", "Herefordshire"),
    Subdivision("GB-HIL", "Hillingdon"),
    Subdivision("GB-HLD", "Highland"),
    Subdivision("GB-HMF", "Hammersmith and Fulham"),
    Subdivision("GB-HNS", "Hounslow"),
    Subdivision("GB-HPL", "Hartlepool"),
    Subdivision("GB-HRT", "Hertfordshire"),
    Subdivision("GB-HRW", "Harrow"),
    Subdivision("GB-HRY", "Haringey"),
    Subdivision("GB-IOS", "Isles of Scilly"),
    Subdivision("GB-IOW", "Isle of Wight"),
    Subdivision("GB-ISL", "Islington"),
    Subdivision("GB-IVC", "Inverclyde"),
    Subdivision("GB-KEC", "Kensington and Chelsea"),
    Subdivision("GB-KEN", "Kent"),
    Subdivision("GB-KHL", "Kingston upon Hull"),
    Subdivision("GB-KIR", "Kirklees"),
    Subdivision("GB-KTT", "Kingston upon Thames"),
    Subdivision("GB-KWL", "Knowsley"),
    Subdivision("GB-LAN", "Lancashire"),
    Subdivision("GB-LBC", "Lisburn and Castlereagh"),
    Subdivision("GB-LBH", "Lambeth"),
    Subdivision("GB-LCE", "Leicester"),
    Subdivision("GB-LDS", "Leeds"),
    Subdivision("GB-LEC", "Leicestershire"),
    Subdivision("GB-LEW", "Lewisham"),
    Subdivision("GB-LIN", "Lincolnshire"),
    Subdivision("GB-LIV", "Liverpool"),
    Subdivision("GB-LND", "London, City of"),
    Subdivision("GB-LUT", "Luton"),
    Subdivision("GB-MAN", "Manchester"),
    Subdivision("GB-MDB", "Middlesbrough"),
    Subdivision("GB-MDW", "Medway"),
    Subdivision("GB-MEA", "Mid and East Antrim"),
    Subdivision("GB-MIK", "Milton Keynes"),
    Subdivision("GB-MLN", "Midlothian"),
    Subdivision("GB-MON", "Monmouthshire [Sir Fynwy GB-FYN]"),
    Subdivision("GB-MRT", "Merton"),
    Subdivision("GB-MRY", "Moray"),
    Subdivision("GB-MTY", "Merthyr Tydfil [Merthyr Tudful GB-MTU]"),
    Subdivision("GB-MUL", "Mid-Ulster"),
    Subdivision("GB-NAY", "North Ayrshire"),
    Subdivision("GB-NBL", "Northumberland"),
    Subdivision("GB-NEL", "North East Lincolnshire"),
    Subdivision("GB-NET", "Newcastle upon Tyne"),
    Subdivision("GB-NFK", "Norfolk"),
    Subdivision("GB-NGM", "Nottingham"),
    Subdivision("GB-NIR", "Northern Ireland"),
    Subdivision("GB-NLK", "North Lanarkshire"),
    Subdivision("GB-NLN", "North Lincolnshire"),
    Subdivision("GB-NMD", "Newry, Mourne and Down"),
    Subdivision("GB-NNH", "North Northamptonshire"),
    Subdivision("GB-NSM", "North Somerset"),
    Subdivision("GB-NTL", "Neath Port Talbot [Castell-nedd Port Talbot GB-CTL]"),
    Subdivision("GB-NTT", "Nottinghamshire"),
    Subdivision("GB-NTY", "North Tyneside"),
    Subdivision("GB-NWM", "Newham"),
    Subdivision("GB-NWP", "Newport [Casnewydd GB-CNW]"),
    Subdivision("GB-NYK", "North Yorkshire"),
    Subdivision("GB-OLD", "Oldham"),
    Subdivision("GB-ORK", "Orkney Islands"),
    Subdivision("GB-OXF", "Oxfordshire"),
    Subdivision("GB-PEM", "Pembrokeshire [Sir Benfro GB-BNF]"),
    Subdivision("GB-PKN", "Perth and Kinross"),
    Subdivision("GB-PLY", "Plymouth"),
    Subdivision("GB-POR", "Portsmouth"),
    Subdivision("GB-POW", "Powys"),
    Subdivision("GB-PTE", "Peterborough"),
    Subdivision("GB-RCC", "Redcar and Cleveland"),
    Subdivision("GB-RCH", "Rochdale"),
    Subdivision("GB-RCT", "Rhondda Cynon Taff [Rhondda CynonTaf]"),
    Subdivision("GB-RDB", "Redbridge"),
    Subdivision("GB-RDG", "Reading"),
    Subdivision("GB-RFW", "Renfrewshire"),
    Subdivision("GB-RIC", "Richmond upon Thames"),
    Subdivision("GB-ROT", "Rotherham"),
    Subdivision("GB-RUT", "Rutland"),
    Subdivision("GB-SAW", "Sandwell"),
    Subdivision("GB-SAY", "South Ayrshire"),
    Subdivision("GB-SCB", "Scottish Borders"),
    Subdivision("GB-SCT", "Scotland"),
    Subdivision("GB-SFK", "Suffolk"),
    Subdivision("GB-SFT", "Sefton"),
    Subdivision("GB-SGC", "South Gloucestershire"),
    Subdivision("GB-SHF", "Sheffield"),
    Subdivision("GB-SHN", "St. Helens"),
    Subdivision("GB-SHR", "Shropshire"),
    Subdivision("GB-SKP", "Stockport"),
    Subdivision("GB-SLF", "Salford"),
    Subdivision("GB-SLG", "Slough"),
    Subdivision("GB-SLK", "South Lanarkshire"),
    Subdivision("GB-SND", "Sunderland"),
    Subdivision("GB-SOL", "Solihull"),
    Subdivision("GB-SOM", "Somerset"),
    Subdivision("GB-SOS", "Southend-on-Sea"),
    Subdivision("GB-SRY", "Surrey"),
    Subdivision("GB-STE", "Stoke-on-Trent"),
    Subdivision("GB-STG", "Stirling"),
    Subdivision("GB-STH", "Southampton"),
    Subdivision("GB-STN", "Sutton"),
    Subdivision("GB-STS", "Staffordshire"),
    Subdivision("GB-STT", "Stockton-on-Tees"),
    Subdivision("GB-STY", "South Tyneside"),
    Subdivision("GB-SWA", "Swansea [Abertawe GB-ATA]"),
    Subdivision("GB-SWD", "Swindon"),
    Subdivision("GB-SWK", "Southwark"),
    Subdivision("GB-TAM", "Tameside"),
    Subdivision("GB-TFW", "Telford and Wrekin"),
    Subdivision("GB-THR", "Thurrock"),
    Subdivision("GB-TOB", "Torbay"),
    Subdivision("GB-TOF", "Torfaen [Tor-faen]"),
    Subdivision("GB-TRF", "Trafford"),
    Subdivision("GB-TWH", "Tower Hamlets"),
    Subdivision("GB-VGL", "Vale of Glamorgan, The [Bro Morgannwg GB-BMG]"),
    Subdivision("GB-WAR", "Warwickshire"),
    Subdivision("GB-WBK", "West Berkshire"),
    Subdivision("GB-WDU", "West Dunbartonshire"),
    Subdivision("GB-WFT", "Waltham Forest"),
    Subdivision("GB-WGN", "Wigan"),
    Subdivision("GB-WIL", "Wiltshire"),
    Subdivision("GB-WKF", "Wakefield"),
    Subdivision("GB-WLL", "Walsall"),
    Subdivision("GB-WLN", "West Lothian"),
    Subdivision("GB-WLS", "Wales [Cymru GB-CYM]"),
    Subdivision("GB-WLV", "Wolverhampton"),
    Subdivision("GB-WND", "Wandsworth"),
    Subdivision("GB-WNH", "West Northamptonshire"),
    Subdivision("GB-WNM", "Windsor and Maidenhead"),
    Subdivision("GB-WOK", "Wokingham"),
    Subdivision("GB-WOR", "Worcestershire"),
    Subdivision("GB-WRL", "Wirral"),
    Subdivision("GB-WRT", "Warrington"),
    Subdivision("GB-WRX", "Wrexham [Wrecsam GB-WRC]"),
    Subdivision("GB-WSM", "Westminster"),
    Subdivision("GB-WSX", "West Sussex"),
    Subdivision("GB-YOR", "York"),
    Subdivision("GB-ZET", "Shetland Islands"),
]
