# SPDX-FileCopyrightText: 2024-present Trenton H <rda0128ou@mozmail.com>
#
# SPDX-License-Identifier: MPL-2.0
# Generated from: 4f5658fa63afce8cd121d41444b28c2294e6b513
from typing import Final

from simpleiso3166.subdivisions import Subdivision

COUNTRY_NAME: Final[str] = "Italian Republic"

SUBDIVISIONS: Final[list[Subdivision]] = [
    Subdivision("IT-21", "Piemonte"),
    Subdivision("IT-23", "Val d'Aoste"),
    Subdivision("IT-25", "Lombardia"),
    Subdivision("IT-32", "Trentino-Alto Adige"),
    Subdivision("IT-34", "Veneto"),
    Subdivision("IT-36", "Friuli Venezia Giulia"),
    Subdivision("IT-42", "Liguria"),
    Subdivision("IT-45", "Emilia-Romagna"),
    Subdivision("IT-52", "Toscana"),
    Subdivision("IT-55", "Umbria"),
    Subdivision("IT-57", "Marche"),
    Subdivision("IT-62", "Lazio"),
    Subdivision("IT-65", "Abruzzo"),
    Subdivision("IT-67", "Molise"),
    Subdivision("IT-72", "Campania"),
    Subdivision("IT-75", "Puglia"),
    Subdivision("IT-77", "Basilicata"),
    Subdivision("IT-78", "Calabria"),
    Subdivision("IT-82", "Sicilia"),
    Subdivision("IT-88", "Sardegna"),
    Subdivision("IT-AG", "Agrigento"),
    Subdivision("IT-AL", "Alessandria"),
    Subdivision("IT-AN", "Ancona"),
    Subdivision("IT-AP", "Ascoli Piceno"),
    Subdivision("IT-AQ", "L'Aquila"),
    Subdivision("IT-AR", "Arezzo"),
    Subdivision("IT-AT", "Asti"),
    Subdivision("IT-AV", "Avellino"),
    Subdivision("IT-BA", "Bari"),
    Subdivision("IT-BG", "Bergamo"),
    Subdivision("IT-BI", "Biella"),
    Subdivision("IT-BL", "Belluno"),
    Subdivision("IT-BN", "Benevento"),
    Subdivision("IT-BO", "Bologna"),
    Subdivision("IT-BR", "Brindisi"),
    Subdivision("IT-BS", "Brescia"),
    Subdivision("IT-BT", "Barletta-Andria-Trani"),
    Subdivision("IT-BZ", "Bolzano"),
    Subdivision("IT-CA", "Cagliari"),
    Subdivision("IT-CB", "Campobasso"),
    Subdivision("IT-CE", "Caserta"),
    Subdivision("IT-CH", "Chieti"),
    Subdivision("IT-CL", "Caltanissetta"),
    Subdivision("IT-CN", "Cuneo"),
    Subdivision("IT-CO", "Como"),
    Subdivision("IT-CR", "Cremona"),
    Subdivision("IT-CS", "Cosenza"),
    Subdivision("IT-CT", "Catania"),
    Subdivision("IT-CZ", "Catanzaro"),
    Subdivision("IT-EN", "Enna"),
    Subdivision("IT-FC", "Forlì-Cesena"),
    Subdivision("IT-FE", "Ferrara"),
    Subdivision("IT-FG", "Foggia"),
    Subdivision("IT-FI", "Firenze"),
    Subdivision("IT-FM", "Fermo"),
    Subdivision("IT-FR", "Frosinone"),
    Subdivision("IT-GE", "Genova"),
    Subdivision("IT-GO", "Gorizia"),
    Subdivision("IT-GR", "Grosseto"),
    Subdivision("IT-IM", "Imperia"),
    Subdivision("IT-IS", "Isernia"),
    Subdivision("IT-KR", "Crotone"),
    Subdivision("IT-LC", "Lecco"),
    Subdivision("IT-LE", "Lecce"),
    Subdivision("IT-LI", "Livorno"),
    Subdivision("IT-LO", "Lodi"),
    Subdivision("IT-LT", "Latina"),
    Subdivision("IT-LU", "Lucca"),
    Subdivision("IT-MB", "Monza e Brianza"),
    Subdivision("IT-MC", "Macerata"),
    Subdivision("IT-ME", "Messina"),
    Subdivision("IT-MI", "Milano"),
    Subdivision("IT-MN", "Mantova"),
    Subdivision("IT-MO", "Modena"),
    Subdivision("IT-MS", "Massa-Carrara"),
    Subdivision("IT-MT", "Matera"),
    Subdivision("IT-NA", "Napoli"),
    Subdivision("IT-NO", "Novara"),
    Subdivision("IT-NU", "Nuoro"),
    Subdivision("IT-OR", "Oristano"),
    Subdivision("IT-PA", "Palermo"),
    Subdivision("IT-PC", "Piacenza"),
    Subdivision("IT-PD", "Padova"),
    Subdivision("IT-PE", "Pescara"),
    Subdivision("IT-PG", "Perugia"),
    Subdivision("IT-PI", "Pisa"),
    Subdivision("IT-PN", "Pordenone"),
    Subdivision("IT-PO", "Prato"),
    Subdivision("IT-PR", "Parma"),
    Subdivision("IT-PT", "Pistoia"),
    Subdivision("IT-PU", "Pesaro e Urbino"),
    Subdivision("IT-PV", "Pavia"),
    Subdivision("IT-PZ", "Potenza"),
    Subdivision("IT-RA", "Ravenna"),
    Subdivision("IT-RC", "Reggio Calabria"),
    Subdivision("IT-RE", "Reggio Emilia"),
    Subdivision("IT-RG", "Ragusa"),
    Subdivision("IT-RI", "Rieti"),
    Subdivision("IT-RM", "Roma"),
    Subdivision("IT-RN", "Rimini"),
    Subdivision("IT-RO", "Rovigo"),
    Subdivision("IT-SA", "Salerno"),
    Subdivision("IT-SI", "Siena"),
    Subdivision("IT-SO", "Sondrio"),
    Subdivision("IT-SP", "La Spezia"),
    Subdivision("IT-SR", "Siracusa"),
    Subdivision("IT-SS", "Sassari"),
    Subdivision("IT-SU", "Sud Sardegna"),
    Subdivision("IT-SV", "Savona"),
    Subdivision("IT-TA", "Taranto"),
    Subdivision("IT-TE", "Teramo"),
    Subdivision("IT-TN", "Trento"),
    Subdivision("IT-TO", "Torino"),
    Subdivision("IT-TP", "Trapani"),
    Subdivision("IT-TR", "Terni"),
    Subdivision("IT-TS", "Trieste"),
    Subdivision("IT-TV", "Treviso"),
    Subdivision("IT-UD", "Udine"),
    Subdivision("IT-VA", "Varese"),
    Subdivision("IT-VB", "Verbano-Cusio-Ossola"),
    Subdivision("IT-VC", "Vercelli"),
    Subdivision("IT-VE", "Venezia"),
    Subdivision("IT-VI", "Vicenza"),
    Subdivision("IT-VR", "Verona"),
    Subdivision("IT-VT", "Viterbo"),
    Subdivision("IT-VV", "Vibo Valentia"),
]
