# SPDX-FileCopyrightText: 2024-present Trenton H <rda0128ou@mozmail.com>
#
# SPDX-License-Identifier: MPL-2.0
# Generated from: 4f5658fa63afce8cd121d41444b28c2294e6b513
from typing import Final

from simpleiso3166.subdivisions import Subdivision

COUNTRY_NAME: Final[str] = "Kingdom of Morocco"

SUBDIVISIONS: Final[list[Subdivision]] = [
    Subdivision("MA-01", "Tanger-Tétouan-Al Hoceïma"),
    Subdivision("MA-02", "L'Oriental"),
    Subdivision("MA-03", "Fès-Meknès"),
    Subdivision("MA-04", "Rabat-Salé-Kénitra"),
    Subdivision("MA-05", "Béni Mellal-Khénifra"),
    Subdivision("MA-06", "Casablanca-Settat"),
    Subdivision("MA-07", "Marrakech-Safi"),
    Subdivision("MA-08", "Drâa-Tafilalet"),
    Subdivision("MA-09", "Souss-Massa"),
    Subdivision("MA-10", "Guelmim-Oued Noun (EH-partial)"),
    Subdivision("MA-11", "Laâyoune-Sakia El Hamra (EH-partial)"),
    Subdivision("MA-12", "Dakhla-Oued Ed-Dahab (EH)"),
    Subdivision("MA-AGD", "Agadir-Ida-Ou-Tanane"),
    Subdivision("MA-AOU", "Aousserd (EH)"),
    Subdivision("MA-ASZ", "Assa-Zag (EH-partial)"),
    Subdivision("MA-AZI", "Azilal"),
    Subdivision("MA-BEM", "Béni Mellal"),
    Subdivision("MA-BER", "Berkane"),
    Subdivision("MA-BES", "Benslimane"),
    Subdivision("MA-BOD", "Boujdour (EH)"),
    Subdivision("MA-BOM", "Boulemane"),
    Subdivision("MA-BRR", "Berrechid"),
    Subdivision("MA-CAS", "Casablanca"),
    Subdivision("MA-CHE", "Chefchaouen"),
    Subdivision("MA-CHI", "Chichaoua"),
    Subdivision("MA-CHT", "Chtouka-Ait Baha"),
    Subdivision("MA-DRI", "Driouch"),
    Subdivision("MA-ERR", "Errachidia"),
    Subdivision("MA-ESI", "Essaouira"),
    Subdivision("MA-ESM", "Es-Semara (EH-partial)"),
    Subdivision("MA-FAH", "Fahs-Anjra"),
    Subdivision("MA-FES", "Fès"),
    Subdivision("MA-FIG", "Figuig"),
    Subdivision("MA-FQH", "Fquih Ben Salah"),
    Subdivision("MA-GUE", "Guelmim"),
    Subdivision("MA-GUF", "Guercif"),
    Subdivision("MA-HAJ", "El Hajeb"),
    Subdivision("MA-HAO", "Al Haouz"),
    Subdivision("MA-HOC", "Al Hoceïma"),
    Subdivision("MA-IFR", "Ifrane"),
    Subdivision("MA-INE", "Inezgane-Ait Melloul"),
    Subdivision("MA-JDI", "El Jadida"),
    Subdivision("MA-JRA", "Jerada"),
    Subdivision("MA-KEN", "Kénitra"),
    Subdivision("MA-KES", "El Kelâa des Sraghna"),
    Subdivision("MA-KHE", "Khémisset"),
    Subdivision("MA-KHN", "Khénifra"),
    Subdivision("MA-KHO", "Khouribga"),
    Subdivision("MA-LAA", "Laâyoune (EH)"),
    Subdivision("MA-LAR", "Larache"),
    Subdivision("MA-MAR", "Marrakech"),
    Subdivision("MA-MDF", "M’diq-Fnideq"),
    Subdivision("MA-MED", "Médiouna"),
    Subdivision("MA-MEK", "Meknès"),
    Subdivision("MA-MID", "Midelt"),
    Subdivision("MA-MOH", "Mohammadia"),
    Subdivision("MA-MOU", "Moulay Yacoub"),
    Subdivision("MA-NAD", "Nador"),
    Subdivision("MA-NOU", "Nouaceur"),
    Subdivision("MA-OUA", "Ouarzazate"),
    Subdivision("MA-OUD", "Oued Ed-Dahab (EH)"),
    Subdivision("MA-OUJ", "Oujda-Angad"),
    Subdivision("MA-OUZ", "Ouezzane"),
    Subdivision("MA-RAB", "Rabat"),
    Subdivision("MA-REH", "Rehamna"),
    Subdivision("MA-SAF", "Safi"),
    Subdivision("MA-SAL", "Salé"),
    Subdivision("MA-SEF", "Sefrou"),
    Subdivision("MA-SET", "Settat"),
    Subdivision("MA-SIB", "Sidi Bennour"),
    Subdivision("MA-SIF", "Sidi Ifni"),
    Subdivision("MA-SIK", "Sidi Kacem"),
    Subdivision("MA-SIL", "Sidi Slimane"),
    Subdivision("MA-SKH", "Skhirate-Témara"),
    Subdivision("MA-TAF", "Tarfaya (EH-partial)"),
    Subdivision("MA-TAI", "Taourirt"),
    Subdivision("MA-TAO", "Taounate"),
    Subdivision("MA-TAR", "Taroudannt"),
    Subdivision("MA-TAT", "Tata"),
    Subdivision("MA-TAZ", "Taza"),
    Subdivision("MA-TET", "Tétouan"),
    Subdivision("MA-TIN", "Tinghir"),
    Subdivision("MA-TIZ", "Tiznit"),
    Subdivision("MA-TNG", "Tanger-Assilah"),
    Subdivision("MA-TNT", "Tan-Tan (EH-partial)"),
    Subdivision("MA-YUS", "Youssoufia"),
    Subdivision("MA-ZAG", "Zagora"),
]
