# SPDX-FileCopyrightText: 2024-present Trenton H <rda0128ou@mozmail.com>
#
# SPDX-License-Identifier: MPL-2.0
# Generated from: 4f5658fa63afce8cd121d41444b28c2294e6b513
from typing import Final

from simpleiso3166.subdivisions import Subdivision

COUNTRY_NAME: Final[str] = "Republic of the Philippines"

SUBDIVISIONS: Final[list[Subdivision]] = [
    Subdivision("PH-00", "National Capital Region"),
    Subdivision("PH-01", "Ilocos (Region I)"),
    Subdivision("PH-02", "Cagayan Valley (Region II)"),
    Subdivision("PH-03", "Central Luzon (Region III)"),
    Subdivision("PH-05", "Bicol (Region V)"),
    Subdivision("PH-06", "Western Visayas (Region VI)"),
    Subdivision("PH-07", "Central Visayas (Region VII)"),
    Subdivision("PH-08", "Eastern Visayas (Region VIII)"),
    Subdivision("PH-09", "Zamboanga Peninsula (Region IX)"),
    Subdivision("PH-10", "Northern Mindanao (Region X)"),
    Subdivision("PH-11", "Davao (Region XI)"),
    Subdivision("PH-12", "Soccsksargen (Region XII)"),
    Subdivision("PH-13", "Caraga (Region XIII)"),
    Subdivision("PH-14", "Autonomous Region in Muslim Mindanao (ARMM)"),
    Subdivision("PH-15", "Cordillera Administrative Region (CAR)"),
    Subdivision("PH-40", "Calabarzon (Region IV-A)"),
    Subdivision("PH-41", "Mimaropa (Region IV-B)"),
    Subdivision("PH-ABR", "Abra"),
    Subdivision("PH-AGN", "Agusan del Norte"),
    Subdivision("PH-AGS", "Agusan del Sur"),
    Subdivision("PH-AKL", "Aklan"),
    Subdivision("PH-ALB", "Albay"),
    Subdivision("PH-ANT", "Antique"),
    Subdivision("PH-APA", "Apayao"),
    Subdivision("PH-AUR", "Aurora"),
    Subdivision("PH-BAN", "Bataan"),
    Subdivision("PH-BAS", "Basilan"),
    Subdivision("PH-BEN", "Benguet"),
    Subdivision("PH-BIL", "Biliran"),
    Subdivision("PH-BOH", "Bohol"),
    Subdivision("PH-BTG", "Batangas"),
    Subdivision("PH-BTN", "Batanes"),
    Subdivision("PH-BUK", "Bukidnon"),
    Subdivision("PH-BUL", "Bulacan"),
    Subdivision("PH-CAG", "Cagayan"),
    Subdivision("PH-CAM", "Camiguin"),
    Subdivision("PH-CAN", "Camarines Norte"),
    Subdivision("PH-CAP", "Capiz"),
    Subdivision("PH-CAS", "Camarines Sur"),
    Subdivision("PH-CAT", "Catanduanes"),
    Subdivision("PH-CAV", "Cavite"),
    Subdivision("PH-CEB", "Cebu"),
    Subdivision("PH-COM", "Davao de Oro"),
    Subdivision("PH-DAO", "Davao Oriental"),
    Subdivision("PH-DAS", "Davao del Sur"),
    Subdivision("PH-DAV", "Davao del Norte"),
    Subdivision("PH-DIN", "Dinagat Islands"),
    Subdivision("PH-DVO", "Davao Occidental"),
    Subdivision("PH-EAS", "Eastern Samar"),
    Subdivision("PH-GUI", "Guimaras"),
    Subdivision("PH-IFU", "Ifugao"),
    Subdivision("PH-ILI", "Iloilo"),
    Subdivision("PH-ILN", "Ilocos Norte"),
    Subdivision("PH-ILS", "Ilocos Sur"),
    Subdivision("PH-ISA", "Isabela"),
    Subdivision("PH-KAL", "Kalinga"),
    Subdivision("PH-LAG", "Laguna"),
    Subdivision("PH-LAN", "Lanao del Norte"),
    Subdivision("PH-LAS", "Lanao del Sur"),
    Subdivision("PH-LEY", "Leyte"),
    Subdivision("PH-LUN", "La Union"),
    Subdivision("PH-MAD", "Marinduque"),
    Subdivision("PH-MAS", "Masbate"),
    Subdivision("PH-MDC", "Mindoro Occidental"),
    Subdivision("PH-MDR", "Mindoro Oriental"),
    Subdivision("PH-MGN", "Maguindanao del Norte"),
    Subdivision("PH-MGS", "Maguindanao del Sur"),
    Subdivision("PH-MOU", "Mountain Province"),
    Subdivision("PH-MSC", "Misamis Occidental"),
    Subdivision("PH-MSR", "Misamis Oriental"),
    Subdivision("PH-NCO", "Cotabato"),
    Subdivision("PH-NEC", "Negros Occidental"),
    Subdivision("PH-NER", "Negros Oriental"),
    Subdivision("PH-NSA", "Northern Samar"),
    Subdivision("PH-NUE", "Nueva Ecija"),
    Subdivision("PH-NUV", "Nueva Vizcaya"),
    Subdivision("PH-PAM", "Pampanga"),
    Subdivision("PH-PAN", "Pangasinan"),
    Subdivision("PH-PLW", "Palawan"),
    Subdivision("PH-QUE", "Quezon"),
    Subdivision("PH-QUI", "Quirino"),
    Subdivision("PH-RIZ", "Rizal"),
    Subdivision("PH-ROM", "Romblon"),
    Subdivision("PH-SAR", "Sarangani"),
    Subdivision("PH-SCO", "South Cotabato"),
    Subdivision("PH-SIG", "Siquijor"),
    Subdivision("PH-SLE", "Southern Leyte"),
    Subdivision("PH-SLU", "Sulu"),
    Subdivision("PH-SOR", "Sorsogon"),
    Subdivision("PH-SUK", "Sultan Kudarat"),
    Subdivision("PH-SUN", "Surigao del Norte"),
    Subdivision("PH-SUR", "Surigao del Sur"),
    Subdivision("PH-TAR", "Tarlac"),
    Subdivision("PH-TAW", "Tawi-Tawi"),
    Subdivision("PH-WSA", "Samar"),
    Subdivision("PH-ZAN", "Zamboanga del Norte"),
    Subdivision("PH-ZAS", "Zamboanga del Sur"),
    Subdivision("PH-ZMB", "Zambales"),
    Subdivision("PH-ZSI", "Zamboanga Sibugay"),
]
