# SPDX-FileCopyrightText: 2024-present Trenton H <rda0128ou@mozmail.com>
#
# SPDX-License-Identifier: MPL-2.0
# Generated from: 4f5658fa63afce8cd121d41444b28c2294e6b513
from typing import Final

from simpleiso3166.subdivisions import Subdivision

COUNTRY_NAME: Final[str] = "Russian Federation"

SUBDIVISIONS: Final[list[Subdivision]] = [
    Subdivision("RU-AD", "Adygeja, Respublika"),
    Subdivision("RU-AL", "Altaj, Respublika"),
    Subdivision("RU-ALT", "Altajskij kraj"),
    Subdivision("RU-AMU", "Amurskaja oblast'"),
    Subdivision("RU-ARK", "Arhangel'skaja oblast'"),
    Subdivision("RU-AST", "Astrahanskaja oblast'"),
    Subdivision("RU-BA", "Bashkortostan, Respublika"),
    Subdivision("RU-BEL", "Belgorodskaja oblast'"),
    Subdivision("RU-BRY", "Brjanskaja oblast'"),
    Subdivision("RU-BU", "Burjatija, Respublika"),
    Subdivision("RU-CE", "Chechenskaya Respublika"),
    Subdivision("RU-CHE", "Chelyabinskaya oblast'"),
    Subdivision("RU-CHU", "Chukotskiy avtonomnyy okrug"),
    Subdivision("RU-CU", "Chuvashskaya Respublika"),
    Subdivision("RU-DA", "Dagestan, Respublika"),
    Subdivision("RU-IN", "Ingushetiya, Respublika"),
    Subdivision("RU-IRK", "Irkutskaja oblast'"),
    Subdivision("RU-IVA", "Ivanovskaja oblast'"),
    Subdivision("RU-KAM", "Kamchatskiy kray"),
    Subdivision("RU-KB", "Kabardino-Balkarskaja Respublika"),
    Subdivision("RU-KC", "Karachayevo-Cherkesskaya Respublika"),
    Subdivision("RU-KDA", "Krasnodarskij kraj"),
    Subdivision("RU-KEM", "Kemerovskaja oblast'"),
    Subdivision("RU-KGD", "Kaliningradskaja oblast'"),
    Subdivision("RU-KGN", "Kurganskaja oblast'"),
    Subdivision("RU-KHA", "Habarovskij kraj"),
    Subdivision("RU-KHM", "Hanty-Mansijskij avtonomnyj okrug"),
    Subdivision("RU-KIR", "Kirovskaja oblast'"),
    Subdivision("RU-KK", "Hakasija, Respublika"),
    Subdivision("RU-KL", "Kalmykija, Respublika"),
    Subdivision("RU-KLU", "Kaluzhskaya oblast'"),
    Subdivision("RU-KO", "Komi, Respublika"),
    Subdivision("RU-KOS", "Kostromskaja oblast'"),
    Subdivision("RU-KR", "Karelija, Respublika"),
    Subdivision("RU-KRS", "Kurskaja oblast'"),
    Subdivision("RU-KYA", "Krasnojarskij kraj"),
    Subdivision("RU-LEN", "Leningradskaja oblast'"),
    Subdivision("RU-LIP", "Lipeckaja oblast'"),
    Subdivision("RU-MAG", "Magadanskaja oblast'"),
    Subdivision("RU-ME", "Marij Èl, Respublika"),
    Subdivision("RU-MO", "Mordovija, Respublika"),
    Subdivision("RU-MOS", "Moskovskaja oblast'"),
    Subdivision("RU-MOW", "Moskva"),
    Subdivision("RU-MUR", "Murmanskaja oblast'"),
    Subdivision("RU-NEN", "Neneckij avtonomnyj okrug"),
    Subdivision("RU-NGR", "Novgorodskaja oblast'"),
    Subdivision("RU-NIZ", "Nizhegorodskaya oblast'"),
    Subdivision("RU-NVS", "Novosibirskaja oblast'"),
    Subdivision("RU-OMS", "Omskaja oblast'"),
    Subdivision("RU-ORE", "Orenburgskaja oblast'"),
    Subdivision("RU-ORL", "Orlovskaja oblast'"),
    Subdivision("RU-PER", "Permskij kraj"),
    Subdivision("RU-PNZ", "Penzenskaja oblast'"),
    Subdivision("RU-PRI", "Primorskij kraj"),
    Subdivision("RU-PSK", "Pskovskaja oblast'"),
    Subdivision("RU-ROS", "Rostovskaja oblast'"),
    Subdivision("RU-RYA", "Rjazanskaja oblast'"),
    Subdivision("RU-SA", "Saha, Respublika"),
    Subdivision("RU-SAK", "Sahalinskaja oblast'"),
    Subdivision("RU-SAM", "Samarskaja oblast'"),
    Subdivision("RU-SAR", "Saratovskaja oblast'"),
    Subdivision("RU-SE", "Severnaja Osetija, Respublika"),
    Subdivision("RU-SMO", "Smolenskaja oblast'"),
    Subdivision("RU-SPE", "Sankt-Peterburg"),
    Subdivision("RU-STA", "Stavropol'skij kraj"),
    Subdivision("RU-SVE", "Sverdlovskaja oblast'"),
    Subdivision("RU-TA", "Tatarstan, Respublika"),
    Subdivision("RU-TAM", "Tambovskaja oblast'"),
    Subdivision("RU-TOM", "Tomskaja oblast'"),
    Subdivision("RU-TUL", "Tul'skaja oblast'"),
    Subdivision("RU-TVE", "Tverskaja oblast'"),
    Subdivision("RU-TY", "Tyva, Respublika"),
    Subdivision("RU-TYU", "Tjumenskaja oblast'"),
    Subdivision("RU-UD", "Udmurtskaja Respublika"),
    Subdivision("RU-ULY", "Ul'janovskaja oblast'"),
    Subdivision("RU-VGG", "Volgogradskaja oblast'"),
    Subdivision("RU-VLA", "Vladimirskaja oblast'"),
    Subdivision("RU-VLG", "Vologodskaja oblast'"),
    Subdivision("RU-VOR", "Voronezhskaya oblast'"),
    Subdivision("RU-YAN", "Jamalo-Neneckij avtonomnyj okrug"),
    Subdivision("RU-YAR", "Jaroslavskaja oblast'"),
    Subdivision("RU-YEV", "Evrejskaja avtonomnaja oblast'"),
    Subdivision("RU-ZAB", "Zabajkal'skij kraj"),
]
